Skip to main content
GET
https://api.deepidv.com
/
v1
/
workflows
/
{id}
Retrieve Workflow
curl --request GET \
  --url https://api.deepidv.com/v1/workflows/{id}
{
  "workflow": {
    "id": "6d6da499-9225-40fb-9ffd-a06634b915bd",
    "created_at": "2026-03-01T17:30:24.573Z",
    "created_by": "a69b63ca-9084-480f-aaaa-2df661d9c902",
    "name": "Everything",
    "organization_id": "da760e2f-2f7b-4f5d-b394-766ce9c4fad8",
    "status": "active",
    "steps": [
      {
        "id": "id_verification",
        "config": {
          "age_restriction_settings": {
            "minimum_age": { "lower": 18, "upper": 55 }
          },
          "expiry_date_settings": { "expiry_date": 1 },
          "face_scan_settings": { "face_front_photo_only": false },
          "id_scan_face_settings": { "require_front_only": false },
          "id_scan_settings": {
            "require_secondary_id": true,
            "require_tertiary_id": true
          },
          "valid_id_types_settings": {
            "valid_id_types": {
              "driver_license_ca": true,
              "driver_license_us": true,
              "passport_ca": true,
              "passport_us": true,
              "pr_card_ca": true,
              "pr_card_us": true
            }
          },
          "valid_states_settings": {
            "valid_states": { "BC": true, "CA": true, "NY": true, "ON": true }
          }
        }
      },
      {
        "id": "face_liveness",
        "config": {
          "face_liveness_confidence_settings": { "confidence_threshold": 70 },
          "face_liveness_settings": { "preferred_liveness_method": "FaceMovementChallenge" }
        }
      },
      {
        "id": "age_estimation",
        "config": {
          "age_estimation_settings": { "minimum_age": 18 }
        }
      },
      {
        "id": "pep_sanctions",
        "config": {}
      },
      {
        "id": "adverse_media",
        "config": {}
      },
      {
        "id": "bank_statement_upload",
        "config": {
          "bank_statement_settings": {
            "account_type": "checking",
            "statement_period": "12"
          }
        }
      },
      {
        "id": "document_upload",
        "config": {
          "document_upload_instructions": {
            "document_upload_list": {
              "document1": "Articles of Incorporation"
            }
          }
        }
      },
      {
        "id": "title_search",
        "config": {
          "title_search_settings": { "title_search_country": "usa" }
        }
      },
      {
        "id": "custom_prompt",
        "config": {
          "custom_instructions": {
            "custom_prompts_list": [{ "text": "Hold up 3 fingers" }]
          }
        }
      },
      {
        "id": "custom_form",
        "config": {
          "form_fields": {
            "form_fields_list": {
              "field1": {
                "label": "What is your Company Business Number",
                "options": {},
                "type": "short-text"
              }
            }
          }
        }
      },
      {
        "id": "ai_bank_statement_analysis",
        "config": {}
      }
    ],
    "updated_at": "2026-03-01T17:30:24.573Z"
  }
}
GET /v1/workflows/{id}
Returns the full workflow record for the given ID. The workflow must belong to your organization.

Request

Headers

HeaderRequiredDescription
x-api-keyYesYour API key

Path parameters

ParameterTypeRequiredDescription
idstringYesThe workflow ID

Example request

curl -X GET "https://api.deepidv.com/v1/workflows/6d6da499-9225-40fb-9ffd-a06634b915bd" \
  -H "x-api-key: YOUR_API_KEY"

Response

200 — Success

Workflow object

FieldTypeDescription
workflowobjectThe workflow record
workflow.idstringUnique workflow identifier
workflow.namestringWorkflow name
workflow.organization_idstringOwning organization ID
workflow.statusstringactive or inactive
workflow.created_bystringUser ID of the workflow creator
workflow.created_atstringISO 8601 creation timestamp
workflow.updated_atstringISO 8601 last-updated timestamp
workflow.stepsarrayOrdered list of verification steps

Step object

FieldTypeDescription
steps[].idstringStep identifier (e.g. id_verification, face_liveness)
steps[].configobjectStep-specific configuration settings
To list sessions associated with a workflow, use the List Sessions endpoint with the workflow_id query parameter.

Error responses

StatusDescription
401 UnauthorizedMissing or invalid API key
403 ForbiddenWorkflow belongs to a different organization
404 Not FoundNo workflow found with the given ID
429 Too Many RequestsRate limit exceeded
{
  "workflow": {
    "id": "6d6da499-9225-40fb-9ffd-a06634b915bd",
    "created_at": "2026-03-01T17:30:24.573Z",
    "created_by": "a69b63ca-9084-480f-aaaa-2df661d9c902",
    "name": "Everything",
    "organization_id": "da760e2f-2f7b-4f5d-b394-766ce9c4fad8",
    "status": "active",
    "steps": [
      {
        "id": "id_verification",
        "config": {
          "age_restriction_settings": {
            "minimum_age": { "lower": 18, "upper": 55 }
          },
          "expiry_date_settings": { "expiry_date": 1 },
          "face_scan_settings": { "face_front_photo_only": false },
          "id_scan_face_settings": { "require_front_only": false },
          "id_scan_settings": {
            "require_secondary_id": true,
            "require_tertiary_id": true
          },
          "valid_id_types_settings": {
            "valid_id_types": {
              "driver_license_ca": true,
              "driver_license_us": true,
              "passport_ca": true,
              "passport_us": true,
              "pr_card_ca": true,
              "pr_card_us": true
            }
          },
          "valid_states_settings": {
            "valid_states": { "BC": true, "CA": true, "NY": true, "ON": true }
          }
        }
      },
      {
        "id": "face_liveness",
        "config": {
          "face_liveness_confidence_settings": { "confidence_threshold": 70 },
          "face_liveness_settings": { "preferred_liveness_method": "FaceMovementChallenge" }
        }
      },
      {
        "id": "age_estimation",
        "config": {
          "age_estimation_settings": { "minimum_age": 18 }
        }
      },
      {
        "id": "pep_sanctions",
        "config": {}
      },
      {
        "id": "adverse_media",
        "config": {}
      },
      {
        "id": "bank_statement_upload",
        "config": {
          "bank_statement_settings": {
            "account_type": "checking",
            "statement_period": "12"
          }
        }
      },
      {
        "id": "document_upload",
        "config": {
          "document_upload_instructions": {
            "document_upload_list": {
              "document1": "Articles of Incorporation"
            }
          }
        }
      },
      {
        "id": "title_search",
        "config": {
          "title_search_settings": { "title_search_country": "usa" }
        }
      },
      {
        "id": "custom_prompt",
        "config": {
          "custom_instructions": {
            "custom_prompts_list": [{ "text": "Hold up 3 fingers" }]
          }
        }
      },
      {
        "id": "custom_form",
        "config": {
          "form_fields": {
            "form_fields_list": {
              "field1": {
                "label": "What is your Company Business Number",
                "options": {},
                "type": "short-text"
              }
            }
          }
        }
      },
      {
        "id": "ai_bank_statement_analysis",
        "config": {}
      }
    ],
    "updated_at": "2026-03-01T17:30:24.573Z"
  }
}